text-1.2.1.3: An efficient packed Unicode text type.

Copyright | (c) 2014 Bryan O'Sullivan
License | BSD-style
Maintainer | bos@serpentine.com
Stability | experimental
Portability | GHC
Safe Haskell | Safe
Language | Haskell98

Data.Text.Internal.Read

Description

Common internal functiopns for reading textual data.

# Documentation

type IReader t a = t -> Either String (a, t)

newtype IParser t a

Constructors

P |
Fields runP :: IReader t a

Instances

Monad (IParser t) |
Functor (IParser t) |
Applicative (IParser t) |

data T

Constructors

T !Integer !Int |

digitToInt :: Char -> Int

hexDigitToInt :: Char -> Int

perhaps :: a -> IParser t a -> IParser t a